OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_Conic Class Reference

`#include <StepGeom_Conic.hxx>`

Inheritance diagram for StepGeom_Conic:

[legend]

## Public Member Functions
Standard_EXPORT | StepGeom_Conic ()
| Returns a Conic .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const StepGeom_Axis2Placement &aPosition)
Standard_EXPORT void | SetPosition (const StepGeom_Axis2Placement &aPosition)
Standard_EXPORT StepGeom_Axis2Placement | Position () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
StepGeom_Axis2Placement | position

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_Conic::StepGeom_Conic | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_Conic::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_Curve. Reimplemented in StepGeom_Circle, StepGeom_Ellipse, StepGeom_Hyperbola, and StepGeom_Parabola.

virtual Standard_EXPORT void StepGeom_Conic::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const StepGeom_Axis2Placement & | aPosition
| ) | `[virtual]`

| Reimplemented in StepGeom_Circle, StepGeom_Ellipse, StepGeom_Hyperbola, and StepGeom_Parabola.

virtual Standard_EXPORT void StepGeom_Conic::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT StepGeom_Axis2Placement StepGeom_Conic::Position | ( |  | ) | const

Standard_EXPORT void StepGeom_Conic::SetPosition | ( | const StepGeom_Axis2Placement & | aPosition | ) |

## Field Documentation

StepGeom_Axis2Placement StepGeom_Conic::position`[private]`

The documentation for this class was generated from the following file:

- StepGeom_Conic.hxx